# Transfering a document

To transfer a document, you may use the following mutation:

```graphql
mutation {
  transferDocument(
    id: "DOCUMENT_ID",
    organization_id: "ORGANIZATION_ID",
    group_id: "GROUP_ID"
  )
}
```

#### Parameters

* `id`: A `String` (UUID!) representing the unique identifier of the document.
* `organization_id`: An `Int!` representing the ID of the organization that will receive the document.
* `group_id`: An `Int!` representing the ID of the group that will receive the document.

You can also include the following optional parameters:

* `current_group_id`: An `Int` representing the current group ID of the document, if it belongs to one.
* `context`: A `ContextEnum` (`USER`, `GROUP`, or `ORGANIZATION`) that defines the context in which the document is located.

#### Expected response:

```graphql
{
  "data": {
    "transferDocument": true
  }
}
```

{% hint style="info" %}
You can check what each of these parameters means directly in the full GraphQL API documentation, in the Docs menu of [Altair](https://altair.autentique.com.br/). If you're not sure how to do that, check out our tutorial on [**Using Altair**](/api/integration-basics/altair.md).
{% endhint %}

{% hint style="info" %}
If Altair doesn't help you integrate with the API, check out some examples of how to make these requests in other ways: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/mutations/transfering-a-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
